Bug 867287 - Review Request: glite-jobid-api-cpp - C++ API handling gLite jobid
Review Request: glite-jobid-api-cpp - C++ API handling gLite jobid
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On: 867282
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 04:44 EDT by František Dvořák
Modified: 2013-06-13 22:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: glite-jobid-api-cpp-1.3.6-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 02:41:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mattias.ellert: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description František Dvořák 2012-10-17 04:44:48 EDT
Spec URL: http://scientific.zcu.cz/fedora/glite-jobid-api-cpp-1.3.2-1/glite-jobid-api-cpp.spec
SRPM URL: http://scientific.zcu.cz/fedora/glite-jobid-api-cpp-1.3.2-1/glite-jobid-api-cpp-1.3.2-1.fc19.src.rpm
Description: C++ API handling gLite jobid. It is a thin wrapper of the C implementation (glite-jobid-api-c).
Fedora Account System Username: valtri

Additional notes:
- I'm upstream maintainer
- I don't have a sponsor yet
- koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4598106
Comment 1 Michael Schwendt 2013-01-20 14:57:13 EST
Setting "Depends on: bug 867282" because of this install-time dep:
Requires:       glite-jobid-api-c-devel%{?_isa}
Comment 3 Mattias Ellert 2013-05-23 08:53:24 EDT
The package review only showed one failed item, which is easy to fix.

I have one question though. Since this package only installs headers
and no libraries, why not make the package noarch? The content of the
package will be the same for all achitectures, since the only
installed file is copied without changes from the source to the
installation tree during the package build.

In a noarch package you would have to remove the use of %{?_isa} and
%{_lib} since these are ambiguous for a noarch package. But nothing in
the package really depends on these macros.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
     glite-jobid-api-cpp-devel requires glite-jobid-api-c-devel which owns
     /usr/include/glite and /usr/include/glite/jobid.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     There is only one binary package produced - no subpackages
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[!]: Package does not own files or directories owned by other packages.
     glite-jobid-api-cpp-devel owns /usr/include/glite and
     /usr/include/glite/jobid which are already owned by
     glite-jobid-api-c-devel on which it depends.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: glite-jobid-api-cpp-devel-1.3.6-1.fc20.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint glite-jobid-api-cpp-devel
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
glite-jobid-api-cpp-devel (rpmlib, GLIBC filtered):
    glite-jobid-api-c-devel(x86-64)



Provides
--------
glite-jobid-api-cpp-devel:
    glite-jobid-api-cpp
    glite-jobid-api-cpp-devel
    glite-jobid-api-cpp-devel(x86-64)



Source checksums
----------------
http://scientific.zcu.cz/emi/emi.jobid.api-cpp/glite-jobid-api-cpp-1.3.6.tar.gz :
  CHECKSUM(SHA256) this package     : 7c84361262c3ac6ce5c82708d7792978d37fa6b9d11e08c1711dc6a50e9ecead
  CHECKSUM(SHA256) upstream package : 7c84361262c3ac6ce5c82708d7792978d37fa6b9d11e08c1711dc6a50e9ecead


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 867287 -m fedora-rawhide-x86_64
Comment 4 František Dvořák 2013-05-23 10:55:44 EDT
That's good question. I'm not sure, what will happen on multiarch systems with the -devel dependencies without %{?_isa}, and discussions in packaging list still recommend to use this macro: http://lists.fedoraproject.org/pipermail/packaging/2013-May/009136.html

On other hand using %_isa here and make the package architecture-dependent because of it is probably too much. :-)

Any opinions? (I'll probably change it to noarch?)
Comment 5 František Dvořák 2013-05-28 09:54:22 EDT
Spec URL: http://scientific.zcu.cz/fedora/glite-jobid-api-cpp-1.3.6-2/glite-jobid-api-cpp.spec
SRPM URL: http://scientific.zcu.cz/fedora/glite-jobid-api-cpp-1.3.6-2/glite-jobid-api-cpp-1.3.6-2.fc20.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5432941

New packaging - the noarch package and fixed file list. It looks like the -devel dependencies in noarch packages are covered in guidelines: "...unless the generated RPMs will be noarch, -devel package dependencies on other -devel packages should be arch-specific."
Comment 6 Mattias Ellert 2013-05-28 18:16:35 EDT
Package Approved.
Comment 7 František Dvořák 2013-05-29 03:41:20 EDT
New Package SCM Request
=======================
Package Name: glite-jobid-api-cpp
Short Description: C++ API handling gLite jobid
Owners: valtri
Branches: f18 f19 el6
InitialCC:
Comment 8 Jon Ciesla 2013-05-29 07:40:15 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-05-29 10:29:29 EDT
glite-jobid-api-cpp-1.3.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glite-jobid-api-cpp-1.3.6-2.fc19
Comment 10 Fedora Update System 2013-05-29 10:30:17 EDT
glite-jobid-api-cpp-1.3.6-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/glite-jobid-api-cpp-1.3.6-2.fc18
Comment 11 Fedora Update System 2013-05-29 10:31:20 EDT
glite-jobid-api-cpp-1.3.6-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/glite-jobid-api-cpp-1.3.6-2.el6
Comment 12 Fedora Update System 2013-05-29 13:32:36 EDT
glite-jobid-api-cpp-1.3.6-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 13 Fedora Update System 2013-06-13 02:41:29 EDT
glite-jobid-api-cpp-1.3.6-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-06-13 18:29:12 EDT
glite-jobid-api-cpp-1.3.6-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 15 Fedora Update System 2013-06-13 22:29:49 EDT
glite-jobid-api-cpp-1.3.6-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.